=== debian/control ===
Source: gazpacho
Section: devel
Priority: optional
Maintainer: Erik Karlsson <erik.b.karlsson@nokia.com>
Build-Depends-Indep: debhelper (>= 4.2.5), python2.4-dev, python2.4-gtk2
Standards-Version: 3.6.1

Package: gazpacho-loader
Architecture: all
Section: devel
Priority: optional
Provides: gazpacho-loader-${Source-Version}
Depends: ${python:Depends}, python2.4-gtk2 (>= 2.6.0)
Description: Gazpacho GUI Loader
 Gazpacho is one of the components of the Gruppy framework for
 building applications. Gazpacho is the component that provides
 quick and easy development of user interfaces.
 .
 The package contains the GUI loader for the XML files generated by Gazpacho.
 .
 Homepage: http://gazpacho.sicem.biz/

Package: gazpacho
Architecture: all
Section: devel
Priority: optional
Provides: gazpacho-${Source-Version}
Depends: ${python:Depends}, python2.4-gtk2 (>= 2.6.0), gazpacho-loader (>= ${Source-Version})
Description: Gazpacho GUI Builder
 Gazpacho is one of the components of the Gruppy framework for
 building applications. Gazpacho is the component that provides
 quick and easy development of user interfaces.
 .
 The package contains the Gazpacho GUI builder.
 .
 Homepage: http://gazpacho.sicem.biz/
